> For the complete documentation index, see [llms.txt](https://docs.rekor.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rekor.ai/scout/application-integration/json-group-results.md).

# JSON Group Results

Rekor Scout® generates an `alpr_group` JSON value for a collection of similar license plates, generally delegating a single plate group per vehicle. When the plate is not seen for a number of seconds, the `plate_group` result is sent with a reference (by UUID) to all the individual plate results that make up the group. The group also includes the best estimate for the license plate number based on a weighted score from all the frames included in the group.

Additionally, each plate group includes a detection value for the make/model, color, and vehicle body type.

Group results are most suitable for surveillance-type purposes. When these values are used, results may be delayed up to ten seconds after the vehicle has passed, so it is important that the application is not sensitive to this delay. If more real-time results are needed, it is recommended that you ignore the `plate_group` value and use only the individual plate results.

ALPR group results are sent in the following JSON format:

```json
{
   "epoch_end" : 1562681124479,
   "best_image_height" : 2160,
   "best_image_width" : 4096,
   "best_region_confidence" : 57.2820510864258,
   "is_parked" : false,
   "agent_type" : "alprd",
   "data_type" : "alpr_group",
   "gps_latitude" : 37.635986328125,
   "frame_start" : 0,
   "best_region" : "us-mo",
   "agent_uid" : "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY",  # Taken from /etc/openalpr/install_id
   "agent_version" : "2.7.101",
   "country" : "us",
   "uuids" : [
      "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY-1234-1562681121543",
      "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY-1234-1562681121504",
      "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY-1234-1562681121576"
   ],
   "plate_indexes" : [
      0,
      0,
      0
   ],
   "frame_end" : 72,
   "epoch_start" : 1562681121504,
   "vehicle_crop_jpeg" : "...base64 jpeg data...",
   "version" : 2,
   "candidates" : [
      {
         "matches_template" : 0,
         "plate" : "D2651BF",
         "confidence" : 93.877067565918
      },
      {
         "plate" : "D2651F",
         "matches_template" : 0,
         "confidence" : 74.8114395141602
      },
      {
         "confidence" : 73.527099609375,
         "plate" : "D265BF",
         "matches_template" : 0
      }
   ],
   "best_uuid" : "YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY-1234-1562681122676",
   "gps_longitude" : -79.2059326171875,
   "vehicle" : {
      "orientation" : [
         {
            "name" : "270",
            "confidence" : 48.2063217163086
         },
         {
            "confidence" : 41.217414855957,
            "name" : "90"
         }
      ],
      "color" : [
         {
            "name" : "black",
            "confidence" : 27.3192367553711
         },
         {
            "confidence" : 26.2272186279297,
            "name" : "silver-gray"
         }
      ],
      "make_model" : [
         {
            "confidence" : 3.64025783538818,
            "name" : "ford_focus"
         },
         {
            "name" : "chevrolet_cruze",
            "confidence" : 2.92206859588623
         }
      ],
      "make" : [
         {
            "confidence" : 18.9258556365967,
            "name" : "ford"
         },
         {
            "confidence" : 6.7553653717041,
            "name" : "chevrolet"
         },
         {
            "confidence" : 6.33295917510986,
            "name" : "toyota"
         }
      ],
      "year" : [
         {
            "name" : "2010-2014",
            "confidence" : 54.3283767700195
         },
         {
            "confidence" : 27.7071475982666,
            "name" : "2015-2019"
         }
      ],
      "body_type" : [
         {
            "name" : "sedan-standard",
            "confidence" : 51.1733474731445
         },
         {
            "name" : "sedan-compact",
            "confidence" : 14.3800678253174
         }
      ]
   },
   "best_confidence" : 93.877067565918,
   "best_plate_number" : "D2651BF",
   "company_id" : "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
   "matches_template" : false,
   "travel_direction" : 85.5532836914062,
   "camera_id" : 1234,
   "best_plate" : {
      "matches_template" : 0,
      "plate_index" : 0,
      "region_confidence" : 62,
      "plate" : "D2651BF",
      "plate_crop_jpeg" : "...base64 jpeg data...",
      "confidence" : 93.877067565918,
      "coordinates" : [
         {
            "y" : 187,
            "x" : 3274
         },
         {
            "x" : 3485,
            "y" : 192
         },
         {
            "y" : 306,
            "x" : 3480
         },
         {
            "y" : 301,
            "x" : 3266
         }
      ],
      "region" : "us-mo",
      "processing_time_ms" : 52.1168479919434,
      "candidates" : [
         {
            "plate" : "D2651BF",
            "matches_template" : 0,
            "confidence" : 93.877067565918
         },
         {
            "plate" : "D2651F",
            "matches_template" : 0,
            "confidence" : 81.3600769042969
         },
         {
            "plate" : "D265BF",
            "matches_template" : 0,
            "confidence" : 80.9256439208984
         }
      ],
      "vehicle_region" : {
         "x" : 3060,
         "height" : 630,
         "y" : 0,
         "width" : 630
      },
      "requested_topn" : 10
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rekor.ai/scout/application-integration/json-group-results.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
